import { Component } from '@angular/core';
import { BeneficiaryActivationService } from '../beneficiary-activation.service';

@Component({
  selector: 'app-beneficiary-activation',
  templateUrl: './beneficiary-activation.component.html',
  styleUrls: ['./beneficiary-activation.component.css'],
})
export class BeneficiaryActivationComponent {
  BeneficiaryData: any;
  BeneficiaryNo: any = '';
  constructor(private beneficiarySvc: BeneficiaryActivationService) {}

  ngOnInit() {
    this.getBeneficiaryListByBeneficiaryNo();
  }

  getBeneficiaryListByBeneficiaryNo() {
    this.beneficiarySvc
      .getBeneficiaryListByBeneficiaryNo(this.BeneficiaryNo)
      .subscribe({
        next: (res: any) => {
          this.BeneficiaryData = res;
        },
      });
  }

  toggleSideBar() {
    const bodyElement = document.body;
    bodyElement.classList.toggle('sidebar-collapsein');
  }
}
