import { Component } from '@angular/core';
import { UploadTransactionsFileService } from '../upload-transactions-file.service';

@Component({
  selector: 'app-upload-transactions-file',
  templateUrl: './upload-transactions-file.component.html',
  styleUrls: ['./upload-transactions-file.component.css'],
})
export class UploadTransactionsFileComponent {
  constructor(
    private UploadTransactionFileSvc: UploadTransactionsFileService
  ) {}

  searchByType: any;
  UserName: any;
  Data: any;
  ngOnInit() {
    this.getUploadTransactionFile();
  }

  getUploadTransactionFile() {
    this.UploadTransactionFileSvc.getUploadTransactionFile().subscribe({
      next: (res: any) => {
        this.Data = res;
        console.log('this.Data: ', this.Data);
      },
    });
  }

  toggleSideBar() {
    const bodyElement = document.body;
    bodyElement.classList.toggle('sidebar-collapsein');
  }

  SearchType(event) {
    this.searchByType = Number(event.target.value);
  }
}
